Subject: bug#25160: 26.0.50; SIGSEGV when reading undo-tree file

From: Noam Postavsky <[email-masked]>
Date: Mon, 11 Dec 2017 21:38:41 -0500

merge 27779 25160
quit

Pedro Silva <[email-masked]> writes:

> The undo-tree package produces some files that appear to, when read, SIGSEGV
> emacs. I've not been able to determine under which circumstances this happens.
>
> You should be able to replicate the issue by reconstructing the original
> directory structure, running 'emacs -Q', then loading the '.emacs' file
> below and attempting to open the source file at
> /home/psilva/src/pedrosilva/xs/src/xs.c (files attached.)
>
> /home/psilva/src/pedrosilva/xs/src/xs.c
> /home/psilva/.emacs.d/undo-tree/.!home!psilva!src!pedrosilva.pt!xs!src!xs.c.~undo-tree~

Using a recent emacs-26 build, when I open your C file, and load the
undo history you posted like this:

 emacs-26/lucid/src/emacs -Q -l elpa/packages/undo-tree/undo-tree.el -f global-undo-tree-mode bug-25160-undo-tree-crash/xs.c --eval '(undo-tree-load-history "!home!psilva!src!pedrosilva.pt!xs!src!xs.c.~undo-tree~")'

I get

    Re-entering top level after C stack overflow

So I think this is the same bug as #27779.